# -*- encoding: utf-8 -*-
# stub: sensu-plugins-supervisor-boutetnico 1.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-supervisor-boutetnico".freeze
  s.version = "1.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu-Plugins and contributors".freeze]
  s.date = "2020-07-01"
  s.description = "This plugin provides native supervisord instrumentation\n                              for monitoring service status".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["check-supervisor.rb".freeze, "check-supervisor-socket.rb".freeze]
  s.files = ["bin/check-supervisor-socket.rb".freeze, "bin/check-supervisor.rb".freeze]
  s.homepage = "https://github.com/boutetnico/sensu-plugins-supervisor".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.4".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for working with supervisor".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<ox>.freeze, ["~> 2.5.0"])
    s.add_runtime_dependency(%q<ruby-supervisor>.freeze, ["= 0.0.2"])
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<xmlrpc>.freeze, ["~> 0.3"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.13"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.5"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.9"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.85.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.25"])
  else
    s.add_dependency(%q<ox>.freeze, ["~> 2.5.0"])
    s.add_dependency(%q<ruby-supervisor>.freeze, ["= 0.0.2"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<xmlrpc>.freeze, ["~> 0.3"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.13"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.5"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.9"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.85.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.25"])
  end
end
